CVE-2018-12108

NameCVE-2018-12108
DescriptionAn issue was discovered in Dropbox Lepton 1.2.1. The validateAndCompress function in validation.cc allows remote attackers to cause a denial of service (SIGFPE and application crash) via a malformed file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs905494

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
lepton (PTS)sid1.2.1+20170405-3vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
leptonsource(unstable)(unfixed)medium905494

Notes

https://github.com/dropbox/lepton/issues/107

Search for package or bug name: Reporting problems